Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.factory
Class FactoryUtils

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.factory.FactoryUtils

    public class FactoryUtils

extends Object

Constructor Summary
`FactoryUtils()`

Method Summary
`static void` | `addOntologyToTripleStore(OWLModel owlModel, TripleStore tripleStore, String ontologyName)`
`static void` | `addPrefixesToModelListener(OWLModel owlModel, TripleStore tripleStore)`
`static void` | `adjustBrowserTextBasedOnPreferences(OWLModel owlModel)`
`static String` | `adjustOntologyName(String name)`
`static void` | `encodeNamespaceIntoModel(OWLModel owlModel, TripleStore tripleStore)`
`static String` | `generateOntologyURIBase()`
`static String` | `getOntologyURIBase(String defaultBase, boolean appendYear, boolean appendMonth, boolean appendDay)`
`static String` | `joinEncodedNamespaceEntry(String prefix, String namespace)`
`static void` | `loadEncodedNamespaceFromModel(OWLModel owlModel, TripleStore tripleStore, Collection errors)`
`static String[]` | `splitEncodedNamespaceEntry(String encoded)`
`static void` | `writeOntologyAndPrefixInfo(OWLModel owlModel, Collection errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FactoryUtils

    public FactoryUtils()

Method Detail

### adjustOntologyName

    public static String adjustOntologyName(String name)

### addOntologyToTripleStore

    public static void addOntologyToTripleStore(OWLModel owlModel,
                                                TripleStore tripleStore,
                                                String ontologyName)
                                         throws AlreadyImportedException

  Throws:
    `AlreadyImportedException`

### loadEncodedNamespaceFromModel

    public static void loadEncodedNamespaceFromModel(OWLModel owlModel,
                                                     TripleStore tripleStore,
                                                     Collection errors)

### encodeNamespaceIntoModel

    public static void encodeNamespaceIntoModel(OWLModel owlModel,
                                                TripleStore tripleStore)

### addPrefixesToModelListener

    public static void addPrefixesToModelListener(OWLModel owlModel,
                                                  TripleStore tripleStore)

### splitEncodedNamespaceEntry

    public static String[] splitEncodedNamespaceEntry(String encoded)

### joinEncodedNamespaceEntry

    public static String joinEncodedNamespaceEntry(String prefix,
                                                   String namespace)

### getOntologyURIBase

    public static String getOntologyURIBase(String defaultBase,
                                            boolean appendYear,
                                            boolean appendMonth,
                                            boolean appendDay)

### generateOntologyURIBase

    public static String generateOntologyURIBase()

### writeOntologyAndPrefixInfo

    public static void writeOntologyAndPrefixInfo(OWLModel owlModel,
                                                  Collection errors)
                                           throws AlreadyImportedException

  Throws:
    `AlreadyImportedException`

### adjustBrowserTextBasedOnPreferences

    public static void adjustBrowserTextBasedOnPreferences(OWLModel owlModel)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.